#loadingModal {
    background-color: rgba(0, 0, 0, 0.1); /* 颜色调浅，透明度降低 */
    display: none;
    z-index: 99999999;
}
#loadingModal .modal-content {
    background-color: transparent;
    border: none;
    box-shadow: none;
}
#loadingModal .modal-dialog {
    max-width: 200px;
}
#loadingModal .modal-dialog .spinner-border {
    --bs-spinner-width: 0.5rem;
    --bs-spinner-height: 0.5rem;
    --bs-spinner-border-width: 0.1em;
    border: 0.05rem solid currentcolor;
    border-right-color: transparent;
}

@media (max-width: 1024px) and (orientation: landscape) {
    #loadingModal {
        background-color: rgba(0, 0, 0, 0.1); /* 颜色调浅，透明度降低 */
        z-index: 99999999;
    }
    #loadingModal .modal-dialog .spinner-border {
        width: 0.1rem;
        height: 0.1rem;
        border: 0.01rem solid currentcolor;
        border-right-color: transparent;
    }
}